Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class CardTerminalIOBlender

    java.lang.Object
      opencard.core.terminal.CardTerminalIOBlender

    public abstract class CardTerminalIOBlender

extends java.lang.Object

A `CardTerminalIOBlender` processes (blends) user input for a `CardTerminal`. You can set a `CardTerminalIOBlender` through the `CardTerminalIOControl` parameter of `CardTerminal.keyboardInput()`.

Version:
  $Id: CardTerminalIOBlender.java,v 1.2 1999/11/03 12:37:16 damke Exp $
Author:
  Dirk Huseman (hud@zurich.ibm.com)
See Also:
  `CardTerminalIOControl`, `CardTerminal`

Field Summary
`protected CardTerminalIOControl` | `ioControl` A reference to our containing `CardTerminalIOControl` object.

Constructor Summary
`CardTerminalIOBlender(CardTerminalIOControl ioControl)` The constructor.

Method Summary
`abstract int` | `input(int character)` Process a single character of user input.
`abstract java.lang.String` | `result()` Return the end product.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ioControl

    protected CardTerminalIOControl ioControl

  A reference to our containing `CardTerminalIOControl` object.

Constructor Detail

### CardTerminalIOBlender

    public CardTerminalIOBlender(CardTerminalIOControl ioControl)

  The constructor.

  Parameters:
    `ioControl` - Control structure to be used by this I/O blender.

Method Detail

### input

    public abstract int input(int character)

  Process a single character of user input.

  Parameters:
    `character` - The input character from the card reader.
  Returns:
    `-1` if the end of input has been reached; `0` else.

### result

    public abstract java.lang.String result()

  Return the end product.

  Returns:
    The resulting string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD